org.apache.tapestry5.ioc.internal

## Class AdvisorStackBuilder

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AdvisorStackBuilder

- All Implemented Interfaces:
    ObjectCreator

      public class AdvisorStackBuilder
      extends Object
      implements ObjectCreator

  Equivalent of `InterceptorStackBuilder`, but works using an `AspectInterceptorBuilder` that receives advice from `ServiceAdvisor`s.
  Since:
    5.1.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvisorStackBuilder(ServiceDef3 serviceDef, ObjectCreator delegate, AspectDecorator aspectDecorator, InternalRegistry registry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `createObject()` Create and return the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvisorStackBuilder

          public AdvisorStackBuilder(ServiceDef3 serviceDef,
                                     ObjectCreator delegate,
                                     AspectDecorator aspectDecorator,
                                     InternalRegistry registry)

      Parameters:
        `serviceDef` - the service that is ultimately being constructed
        `delegate` - responsible for creating the object to be decorated
        `aspectDecorator` - used to create the `AspectInterceptorBuilder` passed to each `ServiceAdvisor`
        `registry` -

  - ### Method Detail

    - #### createObject

          public Object createObject()

      Description copied from interface: `ObjectCreator`
      Create and return the object. In some limited circumstances, the implementation may cache the result, returning the same object for repeated calls.
      Specified by:
        `createObject` in interface `ObjectCreator`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.